package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TSendNumber {
    private String id;

    private String orgId;

    private String tableName;

    private String code;

    private Date time;

    private String remark;

    /**
     * 
     * @return id 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 表名
     * @return table_name 表名
     */
    public String getTableName() {
        return tableName;
    }

    /**
     * 表名
     * @param tableName 表名
     */
    public void setTableName(String tableName) {
        this.tableName = tableName == null ? null : tableName.trim();
    }

    /**
     * 生成的唯一编码 平台号+库编码+时间戳+6位序号
     * @return code 生成的唯一编码 平台号+库编码+时间戳+6位序号
     */
    public String getCode() {
        return code;
    }

    /**
     * 生成的唯一编码 平台号+库编码+时间戳+6位序号
     * @param code 生成的唯一编码 平台号+库编码+时间戳+6位序号
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * 更新时间
     * @return time 更新时间
     */
    public Date getTime() {
        return time;
    }

    /**
     * 更新时间
     * @param time 更新时间
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     * 描述
     * @return remark 描述
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 描述
     * @param remark 描述
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}